Summary:	Highly customizable Wayland bar for Sway and Wlroots based compositors
Summary(pl.UTF-8):	Bardzo konfigurowalny pasek Waylanda do kompozytorów opartych na Sway i Wlroots
Name:		waybar
Version:	0.10.3
Release:	1
License:	MIT
Group:		Applications
Source0:	https://github.com/Alexays/Waybar/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	1c675235e5951f1909d8430b09595606
URL:		https://github.com/Alexays/Waybar/
BuildRequires:	cmake
BuildRequires:	date-devel
BuildRequires:	glib2-devel
BuildRequires:	gtk+3-devel
BuildRequires:	gtk-layer-shell-devel >= 0.6.0
BuildRequires:	gtkmm3-devel >= 3.22.0
BuildRequires:	jsoncpp-devel >= 1.9.2
BuildRequires:	libdbusmenu-gtk3-devel
BuildRequires:	libevdev-devel
BuildRequires:	libfmt-devel >= 8.1.1
BuildRequires:	libinput-devel
BuildRequires:	libmpdclient-devel
BuildRequires:	libnl-devel >= 3.0
BuildRequires:	libsigc++-devel >= 2.0
BuildRequires:	libstdc++-devel >= 6:8
BuildRequires:	libxkbregistry-devel
BuildRequires:	meson >= 0.59.0
BuildRequires:	ninja
BuildRequires:	pipewire-devel >= 0.3
BuildRequires:	pipewire-wireplumber-devel >= 0.5
BuildRequires:	pkgconfig
BuildRequires:	playerctl-devel
BuildRequires:	pulseaudio-devel
BuildRequires:	rpmbuild(macros) >= 2.011
BuildRequires:	scdoc >= 1.9.2
BuildRequires:	spdlog-devel >= 1:1.10.0
BuildRequires:	systemd-devel
BuildRequires:	udev-devel
BuildRequires:	upower-devel
BuildRequires:	wayland-devel
BuildRequires:	wayland-protocols
Requires(post,preun):	systemd-units >= 1:250.1
Requires:	gtk-layer-shell >= 0.6.0
Requires:	gtkmm3 >= 3.22.0
Requires:	jsoncpp >= 1.9.2
Requires:	libfmt >= 8.1.1
Requires:	spdlog >= 1:1.10.0
Requires:	systemd-units >= 1:250.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Highly customizable Wayland bar for Sway and Wlroots based
compositors.

%description -l pl.UTF-8
Bardzo konfigurowalny pasek Waylanda do kompozytorów opartych na Sway
i Wlroots.

%prep
%setup -q -n Waybar-%{version}

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post
%systemd_user_post waybar.service

%preun
%systemd_user_preun waybar.service

%triggerpostun -- waybar < 0.10.0
if [ -f /etc/xdg/waybar/config.rpmsave ]; then
	%{__mv} -f /etc/xdg/waybar/config.jsonc{,.rpmnew}
	%{__mv} -f /etc/xdg/waybar/config{.rpmsave,.jsonc}
fi

%files
%defattr(644,root,root,755)
%doc README.md
%dir /etc/xdg/waybar
%config(noreplace) %verify(not md5 mtime size) /etc/xdg/waybar/config.jsonc
%config(noreplace) %verify(not md5 mtime size) /etc/xdg/waybar/style.css
%attr(755,root,root) %{_bindir}/waybar
%{systemduserunitdir}/waybar.service
%{_mandir}/man5/waybar*.5*
%changelog
* Wed May 08 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/waybar.git;a=log;h=master

* Mon May 06 2024 Jan Palus <atler@pld-linux.org> a019585
- up to 0.10.3

* Tue Apr 23 2024 Jan Palus <atler@pld-linux.org> a38ce89
- up to 0.10.2

* Tue Apr 23 2024 Jan Palus <atler@pld-linux.org> b8cfd08
- correct typo

* Tue Apr 23 2024 Jan Palus <atler@pld-linux.org> 1256c2a
- up to 0.10.1

* Sat Mar 30 2024 Jan Palus <atler@pld-linux.org> 6c4942f
- pipewire-wireplumber 0.5.x rebuild

* Fri Mar 15 2024 Jan Palus <atler@pld-linux.org> af87161
- up to 0.10.0

* Fri Nov 03 2023 Jan Palus <atler@pld-linux.org> ceb0ca8
- up to 0.9.24

* Thu Nov 02 2023 Jan Palus <atler@pld-linux.org> 50efd66
- up to 0.9.23

* Wed Aug 16 2023 Jan Palus <atler@pld-linux.org> 044b966
- up to 0.9.22

* Wed Aug 16 2023 Jan Palus <atler@pld-linux.org> b15e067
- date detection requires cmake

* Tue Aug 15 2023 Jan Palus <atler@pld-linux.org> 2d8bf48
- up to 0.9.21

* Tue Jul 25 2023 Jakub Bogusz <qboosh@pld-linux.org> b9133c6
- release 2 (libfmt 10, spdlog 1.12)

* Tue Jul 18 2023 Jan Palus <atler@pld-linux.org> 87a3500
- up to 0.9.20

* Tue Jul 04 2023 Jan Palus <atler@pld-linux.org> 3ff99bc
- up to 0.9.19

* Mon May 29 2023 Jan Palus <atler@pld-linux.org> 394840c
- up to 0.9.18

* Fri Apr 07 2023 Jan Palus <atler@pld-linux.org> dff31cc
- fix typo

* Fri Apr 07 2023 Jakub Bogusz <qboosh@pld-linux.org> 0e3e33b
- release 2 (spdlog 1.11.0)

* Fri Apr 07 2023 Jakub Bogusz <qboosh@pld-linux.org> 04aa005
- pl

* Wed Jan 11 2023 Jan Palus <atler@pld-linux.org> 83eb1f6
- up to 0.9.17

* Thu Nov 24 2022 Jan Palus <atler@pld-linux.org> fd288d0
- up to 0.9.16

